# velociraptor.spec for Fedora upstream package velociraptor-0.73.4
%global commit 3418df2246bb09316ad14cc39af24ffe1c37e614
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global debug_package %{nil}

Name:           velociraptor
Version:        0.73.4
Release:        1%{?dist}
Summary:        Velociraptor - Endpoint visibility and collection tool.
License:        AGPL-3.0
URL:            https://github.com/Velocidex/velociraptor
Source0:        %{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  git-core
BuildRequires:  golang-bin >= 1.23
BuildRequires:  gcc-aarch64-linux-gnu
BuildRequires:  glibc-headers
BuildRequires:  glibc-devel

%description
Velociraptor is a tool for collecting host based state information using The Velociraptor Query Language (VQL) queries.

%prep
%setup -q -n %{name}-%{commit}

%build
# ensure fileb0x is in the PATH
eval $(go env)
export PATH="${PATH}:${GOPATH}/bin"

# modify make command per architecture 
%ifarch %{ix86} x86_64
make linux
%elifarch aarch64
make linux_arm64
%else
echo "Unsupported architecture: %{_arch}" >&2
exit 1
%endif

%install
install -m 0755 -vd %{buildroot}%{_bindir}
install -m 0755 -vd %{buildroot}%{_defaultdocdir}/velociraptor/third-party
install -m 0755 -vd %{buildroot}%{_defaultlicensedir}/velociraptor/third-party

install -m 0644 -vp %{_builddir}/velociraptor-%{commit}/README.md %{buildroot}%{_defaultdocdir}/velociraptor/README
install -m 0644 -vp %{_builddir}/velociraptor-%{commit}/third_party/zip/README.md %{buildroot}%{_defaultdocdir}/velociraptor/third-party/README-zip
install -m 0644 -vp %{_builddir}/velociraptor-%{commit}/LICENSE %{buildroot}%{_defaultlicensedir}/velociraptor/LICENSE
install -m 0644 -vp %{_builddir}/velociraptor-%{commit}/third_party/zip/LICENSE %{buildroot}%{_defaultlicensedir}/velociraptor/third-party/LICENSE-zip
install -m 0755 -vp %{_builddir}/velociraptor-%{commit}/output/velociraptor-v%{version}* %{buildroot}%{_bindir}/velociraptor

%files
%license %{_defaultlicensedir}/velociraptor/LICENSE
%license %{_defaultlicensedir}/velociraptor/third-party/LICENSE-zip
%doc docs
%doc %{_defaultdocdir}/velociraptor/README
%doc %{_defaultdocdir}/velociraptor/third-party/README-zip
%doc debian/changelog
%doc vql/windows/wmi/parse/fixtures/sample.txt
%{_bindir}/*

%changelog
* Thu Feb 20 2025 IxÆoN HyperVoxeL <fedora@hyperkind.net> - 0.73.4-1
- Update to 0.73.4 (commit 3418df2)
* Wed Feb 19 2025 IxÆoN HyperVoxeL <fedora@hyperkind.net> - 0.73-1
- Initial package